Bug 1289240 - Ran out of space trying to build LibreOffice
Ran out of space trying to build LibreOffice
Status: CLOSED ERRATA
Product: Copr
Classification: Community
Component: frontend (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 12:48 EST by Bastien Nocera
Modified: 2016-10-03 16:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-12 13:08:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2015-12-07 12:48:58 EST
I tried multiple times to rebuild the latest versions of LibreOffice in COPR (only one architecture, and one distro version), and ended up with "No space left on device" errors aplenty.

Reproducer:

1. Grab src.rpm from latets
http://koji.fedoraproject.org/koji/packageinfo?packageID=11024
2. Rebuild it in COPR

Maybe the default VM disk sizes need to be increased, or take into account the src.rpm size when creating it.
Comment 1 Jakub Kadlčík 2016-05-12 05:45:20 EDT
Hello Bastien, thank you for the feedback.

I've tried to reproduce this, but instead "No space left on device" I got expired timeout.

mockchain.log.gz :
[2016-04-16 14:58:21,918][ ERROR][PID:27582] builder.build error building pkg `libreoffice`: BuildError: Build timeout expired. Time limit: 21600s


Then I tried to build it locally on my computer

# rpmbuild required 30G
rpmbuild -rb libreoffice-5.0.5.2-8.fc23.src.rpm

# mock required 32G
mock -r fedora-23-x86_64 libreoffice-5.0.5.2-8.fc23.src.rpm


Copr now have available about twice as much space then it required, so it should be ok.

However the current timeout set to 6 hours is the problem. On dev instance I've increased the limit to 24 hours and LO builds successfully (in about 8 hours).


@msuchy I can remember that you increased the timeout on backend - ansible repo 4df7a0a2 , but I found that it is not enough. It kind of specifies the default backend job timeout, but it is overridden by the value that comes within every single build from frontend. See my commit please.


Modified in: 1dd2d7e
Comment 2 Fedora Update System 2016-05-27 11:37:35 EDT
copr-frontend-1.93-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-af777aa589
Comment 3 Fedora Update System 2016-05-27 23:24:21 EDT
copr-frontend-1.93-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-af777aa589
Comment 4 clime 2016-06-03 10:35:49 EDT
New COPR version was released.
Comment 5 Fedora Update System 2016-07-01 10:45:24 EDT
copr-frontend-1.97-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ec39f79e18
Comment 6 Fedora Update System 2016-07-02 16:55:31 EDT
copr-frontend-1.97-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ec39f79e18
Comment 7 Fedora Update System 2016-08-17 10:44:14 EDT
copr-frontend-1.99-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc
Comment 8 Fedora Update System 2016-08-17 21:50:46 EDT
copr-frontend-1.99-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc
Comment 9 clime 2016-08-18 12:26:10 EDT
New Copr has been released.
Comment 10 Fedora Update System 2016-09-12 02:25:57 EDT
copr-frontend-1.101-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801
Comment 11 Fedora Update System 2016-09-12 10:51:17 EDT
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801
Comment 12 Fedora Update System 2016-10-03 16:21:26 EDT
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.